*Variables for Final Report
*Original Columns
*roomnum: game id
*roomtype: 0 or 1 (0: some part of the ranking or matching info is missed)
*idr: user id for the rank receiver 
*idg: user id for the rank giver 
*new2_r: generated variable to capture one instance per user (check below for more details)
*nprev_r: total num games user idr has played before the currnt game, $total\_game_{it}$ 
*nafter_r: total num games user idr play after sep 15 
*n_r: total num games user idr has played after sep 15 until now (not including this game)
*panel_time_r: generated time variable used for the panel setting (check below for more details)
*age_r : $ age_{i}$
*bio_r : $ bio_{i}$
*employment_r : $ employment_{i}$
*picture_r : $ num\_pic_{i}$
*standard_survey_r : $ pic\_score_{i}$
*gender_r $ gender_{i}$
*education_level_r: $ education_{i}$
*education_level_r1: $ highschool_{i}$
*education_level_r2 : $ college_{i}$
*education_level_r3 : $ graduate_{i}$
*g_pref_r: preference idg gives to idr, 4 highest pref
*match: 1 if idr and idg are matched, 0 otherwise
*match_level_r: $ match\_level_{it}$
*g_sendmsg_r: equals 1 if idg send msg, 0 if not, '.' if not matched or missing
*r_sendmsg_g: equals 1 if idr send msg, 0 if not, '.' if not matched or missing
*initiator: user id of the person who initiates the msg
*star_r: $star_{it}$
*star1_r : $star1_{it}$
*star2_r : $star2_{it}$
*star3_r : $star3_{it}$
*min_star_r : minimum star rating of user idr (check below for more details)
*max_star_r : maximum star rating of user idr (check below for more details)
*total_star_change:  total number of star rating changes of user idr (check below for more details)
*star_g: $star_{jt}$
*star1_g: $star1_{jt}$ 
*star2_g: $star2_{jt}$ 
*star3_g: $star3_{jt}$
*age_g : $ age_{j}$
*bio_g  : $ bio_{j}$
*employment_g : $ employment_{j}$
*picture_g : $ num\_pic_{j}$
*standard_survey_g : $ pic\_score_{j}$
*gender_g : $ gender_{j}$
*education_level_g: $ education_{j}$
*education_level_g1: $ highschool_{j}$
*education_level_g2 : $ college_{j}$
*education_level_g3 : $ graduate_{j}$
*nprev_g: total num games user idg has played before the currnt game, $total\_game_{jt}$ 

*Generated Columns 

*new2_r
sort idr roomnum idg 
by idr: gen new2_r=1 if _n==1

*panel_time_r (panel setting for idr)
sort idr roomnum idg
by idr: gen panel_time_r=_n

*min_star_r
by idr: egen min_star_r = min(star_r)

*max_star_r
by idr: egen max_star_r = max(star_r)

*n_r (or t-1)
*how many games user r has played so far (not including this game) after sep 15
by idr: gen a= nprev_r if _n==1
by idr: egen nstart_r = total(a)
drop a
gen n_r = nprev_r-nstart_r 

*total_star_change
*star_change 
by idr: gen star_change = 1 if star_r[_n]!=star_r[_n-1] & star_r[_n]!=. & star_r[_n-1]!=.
*total_star_change 
by idr: egen total_star_change = total(star_change)

*idr_room_level
sort idr roomnum idg
by idr roomnum: gen idr_room_level=1 if _n ==1